{
  "format_version": "1.10.0",
  "animation_controllers": {
        "controller.animation.cyn_hao.special_breed": {
            "initial_state": "normal",
            "states": {
                "normal": {
                    "transitions": [
                        { "special": "query.property('cyn_hao:special_breed')" }
                    ]
                },
                
                "special": {
                    "transitions": [
                        { "special_and_in_love": "query.is_in_love" }
                    ]
                },

                "special_and_in_love": {
                    "transitions": [
                        { "normal": "!query.property('cyn_hao:special_breed') || !query.is_in_love" }
                    ],
                    "on_exit": [
                        "/event entity @s cyn_hao:event_normal_breed"
                    ]
                }
            }
        }
    }
}
